|  | Home | Documentation | uddi2__serviceList Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__serviceList Class Reference

Schema urn:uddi-org:api_v2:"serviceList". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__serviceList:
[legend]

## Public Attributes

uddi2__serviceInfos * | serviceInfos
| Element reference "urn:uddi-org:api_v2":serviceInfos.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"serviceList".

## Member Data Documentation

## ◆ generic

char* uddi2__serviceList::generic

Attribute generic of type xs:string.

Required attribute

## ◆ operator_

char* uddi2__serviceList::operator_

Attribute operator of type xs:string.

Required attribute

## ◆ serviceInfos

uddi2__serviceInfos* uddi2__serviceList::serviceInfos

Element reference "urn:uddi-org:api_v2":serviceInfos.

Required element

## ◆ soap

struct soap* uddi2__serviceList::soap

A handle to the soap struct context that manages this class instance.

## ◆ truncated

enum uddi2__truncated* uddi2__serviceList::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h